Subject: Re: [PATCH v2] Documentation: rw_lock lessons learned

From: Jarek Poplawski <[email-masked]>
Date: Fri, 11 Dec 2009 22:07:13 +0100

William Allen Simpson wrote, On 12/11/2009 06:01 PM:

> William Allen Simpson wrote:
>> In recent weeks, two different network projects erroneously
>> strayed down the rw_lock path.  Update the Documentation
>> based upon comments by Eric Dumazet and Paul E. McKenney in
>> those threads.
>>
>> Merged with editorial changes by Stephen Hemminger.
>>
>> Signed-off-by: [email-masked]
>> Acked-by: Paul E. McKenney <[email-masked]>
>>
> A month ago, I'd taken the final line "Ho humm.." of Linus'
> response to mean he wasn't interested.  But at the local
> discussion yesterday, I'm told that's just a typical Linusism.

Why would he write 6 paragraphs if he wasn't interested?

> 
> The thread diverged into discussion of another document entirely.
> 
> I'm not the person to update this document with any of the other
> information about global locks and tasklists and such.  But surely
> somebody else could handle that in another patch.
> 
> Anybody have answers/updates to Linus's concerns about "pretty old
> and bogus language"?  Would folks be interested in the update?
> Does anybody know which list(s) would be better for discussion?

I guess, you could literally start with removing this "global
interrupt lock", adding "the example of a _good_ case of rwlocks",
plus Stephen's "it is not just networking" fix in v3.

Jarek P.